Package org.snpeff.vcf

# Class VcfConsequence

java.lang.Object
org.snpeff.vcf.VcfConsequence

public class VcfConsequence extends Object
An 'CSQ' entry in a vcf line ('Consequence' from ENSEMBL's VEP) Format: ##INFO=invalid input: '<'ID=CSQ,Number=.,Type=String,Description="Consequence type as predicted by VEP. Format: Allele|Gene|Feature|Feature_type|Consequence|cDNA_position|CDS_position|Protein_position|Amino_acids|Codons|Existing_variation|DISTANCE|STRAND|SYMBOL|SYMBOL_SOURCE|HGNC_ID|BIOTYPE|SIFT|PolyPhen|DOMAINS|HGVSc|HGVSp|GMAF|AFR_MAF|AMR_MAF|ASN_MAF|EUR_MAF|AA_MAF|EA_MAF|CLIN_SIG|SOMATIC|MOTIF_NAME|MOTIF_POS|HIGH_INF_POS|MOTIF_SCORE_CHANGE">

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`VCF_INFO_CSQ_NAME`

## Constructor Summary

Constructors
Constructor
Description
`VcfConsequence(VcfConsequenceHeader vcfConsequenceHeader, String csqString)`

## Method Summary

Modifier and Type
Method
Description
`String`
`get(String fieldName)`
`String`
`getConsequence()`
`String`
`getFeature()`
`String`
`getHgvsDna()`
`String`
`getHgvsProt()`
`static List<VcfConsequence>`
`parse(VcfConsequenceHeader vcfConsequenceHeader, String csqString)`
`static List<VcfConsequence>`
`parse(VcfConsequenceHeader vcfConsequenceHeader, VcfEntry ve)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### VCF_INFO_CSQ_NAME

public static final String VCF_INFO_CSQ_NAME

See Also:
  - Constant Field Values

## Constructor Details

### VcfConsequence

public VcfConsequence(VcfConsequenceHeader vcfConsequenceHeader, String csqString)

## Method Details

### parse

public static List<VcfConsequence> parse(VcfConsequenceHeader vcfConsequenceHeader, String csqString)

### parse

public static List<VcfConsequence> parse(VcfConsequenceHeader vcfConsequenceHeader, VcfEntry ve)

### get

public String get(String fieldName)

### getConsequence

public String getConsequence()

### getFeature

public String getFeature()

### getHgvsDna

public String getHgvsDna()

### getHgvsProt

public String getHgvsProt()

### toString

public String toString()

Overrides:
  `toString` in class `Object`